<!doctype html>
<html <?php language_attributes(); ?> class="js no-svg">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php if ( function_exists( 'wp_body_open' ) ) {
    wp_body_open();
} else {
    do_action( 'wp_body_open' );
} ?>

<div id="page" class="site-wrapper site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'grid-blogwaves' ); ?></a>
    <?php
    $banner_image = get_theme_mod('grid_blogwaves_banner_image_setting',get_theme_file_uri('/assets/images/mgb-default-banner.jpg'));
    $display_image = get_theme_mod('grid_blogwaves_banner_image_display',true);
    $banner_link = get_theme_mod('grid_blogwaves_banner_link_url','');
    ?>
	<header  id="masthead" class="wp-main-header ">
        <?php
        $has_header_image = has_header_image();
        ?>
    	<div class="nav-brand" <?php if (!empty($has_header_image)) { ?> style="background-image: url(<?php echo esc_url(header_image()); ?>);" <?php } ?>>
			<div class="container-fluid grid_blogwaves_grid_content2">
				<div class="row">
                    <?php
                    if($display_image) {
                    ?>
                    <div class="col-md-4">
                        <?php
                    }
                        // Site Naming
                        else{
                            ?>
                            <div class="col-md-12 text-left">
                            <?php
                        }
                        get_template_part( 'template-parts/site-naming' );
                            
                        ?>
				    </div>
                    <?php if($display_image) { ?>
                    <div class="col-md-8">
                        <div class="add-banner">
                            <?php if($banner_image==''){ ?>
                           <a href="<?php echo esc_url( admin_url( 'customize.php?autofocus[section]=grid_blogwaves_banner_image_section' ) ); ?>"><img class="cta-wrap" src="<?php  echo esc_url( get_stylesheet_directory_uri() ) ; ?>/assets/images/mgb-default-banner.jpg"/></a>
                       <?php }
                            else{
                                ?>
                                    <a href="<?php echo esc_url($banner_link);?>" target="_blank"><img src="<?php echo esc_url($banner_image);?>"/></a>
                                <?php
                            }
                       ?>
                        </div>
                    </div>
                    <?php } ?>
			</div>
		</div>

		<!-- Start Navbar Area -->
    <nav id="site-navigation" class="main-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'grid-blogwaves' ); ?>">
        <button class="menu-toggle" aria-controls="top-menu" aria-expanded="false">
          <i class="icon fa fa-bars"></i>
        </button>

        <?php
        wp_nav_menu(
            array(
                'theme_location' => 'top',
                'menu_id'        => 'top-menu',
            )
        );
        ?>
    </nav>
</header>
    <div id="primary" class="site-content">