<?php

function grid_blogwaves_sections_settings( $wp_customize ) {

	$wp_customize->get_setting('blogname')->transport = 'postMessage';
    $wp_customize->get_setting('blogdescription')->transport = 'postMessage';
    $wp_customize->get_setting('header_textcolor')->transport = 'postMessage';
    $wp_customize->remove_section('blogwaves_top_header_options');
    $wp_customize->remove_setting('blogwaves_archive_co_post_author');
    $wp_customize->remove_control('blogwaves_archive_co_post_author');
    $wp_customize->remove_setting('blogwaves_sidebar_position');
    $wp_customize->remove_control('blogwaves_sidebar_position');
    $wp_customize->add_panel( 'blogwaves_theme_options', array(
        'title'     => __( 'Grid Blogwaves Theme Options', 'grid-blogwaves' ),
        'priority'  => 1,
    ) );

		//Upload Banner Image
	$wp_customize->add_section('grid_blogwaves_banner_image_section', array(
	    'title' => esc_html__('Grid Blogwaves Banner Image Setting', 'grid-blogwaves') ,
	    'panel' => 'blogwaves_theme_options',
	    'priority' => 10
	));

	// Banner Image Display Control
	$wp_customize->add_setting('grid_blogwaves_banner_image_display', array(
	    'default' => true,
	    'sanitize_callback' => 'blogwaves_sanitize_checkbox',
	));

	$wp_customize->add_control('grid_blogwaves_banner_image_display', array(
	    'label' => esc_html__('Display Banner Image', 'grid-blogwaves') ,
	    'section' => 'grid_blogwaves_banner_image_section',
	    'priority' => 4,
	    'type' => 'checkbox'
	));

     $wp_customize
        ->selective_refresh
        ->add_partial('grid_blogwaves_banner_image_display', array(
        'selector' => '.add-banner',
        'settings' => 'grid_blogwaves_banner_image_display',

    ));

    $wp_customize->add_setting('grid_blogwaves_banner_image_setting', array(
        'default' => get_theme_file_uri('/assets/images/mgb-default-banner.jpg') , // Add Default Image URL
        'sanitize_callback' => 'esc_url_raw'
    ));

    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'grid_blogwaves_banner_image_control', array(
        'label' => esc_html__('Upload Banner Image', 'grid-blogwaves') ,
        'description' => sprintf(esc_html__('Recommended size: 728px x 90px ', 'grid-blogwaves') , 810, 120) ,
        'priority' => 5,
        'section' => 'grid_blogwaves_banner_image_section',
        'settings' => 'grid_blogwaves_banner_image_setting',
        'active_callback' => 'grid_blogwaves_social_active_callback',
        'button_labels' => array( // All These labels are optional
            'select' => __('Select Image', 'grid-blogwaves'),
            'remove' => __('Remove Image', 'grid-blogwaves'),
            'change' => __('Change Image', 'grid-blogwaves'),
        )
     )));

    // Banner Link URL
    $wp_customize->add_setting('grid_blogwaves_banner_link_url', array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_control('grid_blogwaves_banner_link_url', array(
        'label' => esc_html__('Banner Link URL', 'grid-blogwaves') ,
        'section' => 'grid_blogwaves_banner_image_section',
        'priority' => 6,
        'type' => 'url',
        'active_callback' => 'grid_blogwaves_social_active_callback'
    ));


    // Post View Archive Control
    $wp_customize->add_setting('grid_blogwaves_archive_co_view', array(
        'default' => true,
        'sanitize_callback' => 'blogwaves_sanitize_checkbox',
    ));

    $wp_customize->add_control('grid_blogwaves_archive_co_view', array(
        'label' => esc_html__('Display Post view count ', 'grid-blogwaves') ,
        'section' => 'blogwaves_archive_content_options',
        'description' => 'Please Activate Post View Counter Plugin First',
        'priority' => 5,
        'type' => 'checkbox'
    ));


    // Post View Archive Control
    $wp_customize->add_setting('grid_blogwaves_single_co_view', array(
        'default' => true,
        'sanitize_callback' => 'blogwaves_sanitize_checkbox',
    ));

    $wp_customize->add_control('grid_blogwaves_single_co_view', array(
        'label' => esc_html__('Display Post view count ', 'grid-blogwaves') ,
        'section' => 'blogwaves_single_content_options',
        'description' => 'Please Activate Post View Counter Plugin First',
        'priority' => 5,
        'type' => 'checkbox'
    ));

    // Main Sidebar Position
    $wp_customize->add_setting ( 'grid_blogwaves_grid_sidebar_position', array (
        'default'           => __( 'grid', 'grid-blogwaves' ),
        'sanitize_callback' => 'blogwaves_sanitize_select',
    ) );

    $wp_customize->add_control ( 'grid_blogwaves_grid_sidebar_position', array (
        'label'    => __( 'Sidebar Position', 'grid-blogwaves' ),
        'section'  => 'blogwaves_layout_options',
        'priority' => 2,
        'type'     => 'select',
        'choices'  => array(
            'right' => __( 'Right Sidebar', 'grid-blogwaves'),
            'left'  => __( 'Left Sidebar',  'grid-blogwaves'),
            'no'    => __( 'No Sidebar',  'grid-blogwaves'),
            'grid'    => __( 'Grid',  'grid-blogwaves'),
        ),
    ) );
}
add_action( 'customize_register', 'grid_blogwaves_sections_settings', 30);
if (!function_exists('grid_blogwaves_social_active_callback')):
    function grid_blogwaves_social_active_callback()
    {
        $show_social = get_theme_mod('grid_blogwaves_banner_image_display', true);

        if ($show_social)
        {
            return true;
        }
        else
        {
            return false;
        }
    }
endif;