<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @package blogwaves
 */

get_header();

if ( have_posts() ) : ?>

<section class="wp-blog-section ptb-100 bg-color">
		<div class="container-fluid grid_blogwaves_grid_content">
			<?php
	            $sidebar_position = get_theme_mod('grid_blogwaves_grid_sidebar_position', 'grid');
	            if ($sidebar_position == 'left') {
	                $sidebar_position = 'has-left-sidebar';
	            } elseif ($sidebar_position == 'right') {
	                $sidebar_position = 'has-right-sidebar';
	            } elseif ($sidebar_position == 'no') {
	                $sidebar_position = 'no-sidebar';
	            }
	            elseif ($sidebar_position == 'grid'){
        				$grid='gridlayout';
    			}
    			if($grid!='gridlayout'){
    				?>
    				<div class="row <?php echo esc_attr($sidebar_position); ?>">
    					<?php if(is_active_sidebar( 'sidebar-1' )) { ?>
						<div class="col-lg-8">
							<?php } 
							else{
								?>
								<div class="col-lg-12">
								<?php
							}
							while ( have_posts() ) : the_post();
		        			get_template_part( 'template-parts/content', get_post_type() );  
		        			endwhile; 
		        			?>
		        			<div class="pagination">
		                        <nav class="Page navigation">
		                            <ul class="page-numbers">
		                               <?php echo paginate_links(); ?>
		                            </ul>
		                        </nav>
                    	   </div>
        				</div>
        				<?php
                if (($sidebar_position == 'has-left-sidebar') || ($sidebar_position == 'has-right-sidebar')) { ?>
        				<div class="col-lg-4">
		                    <div class="sidebar-search sidebar pt-0">
		                       <?php get_sidebar();?>
		                    </div>
					
						</div>

					<?php } ?>
        			</div>
        			<?php
    			}
    			else{
            ?>
			<div class="row <?php echo esc_attr($sidebar_position); ?>">
				<div class="col-lg-12">
					<div class="grid">
						<?php while ( have_posts() ) : the_post(); ?>
							<?php get_template_part( 'template-parts/content','grid'); ?>
						<?php endwhile; ?>
					</div>
					
					<div class="pagination">
                        <nav class="Page navigation">
                            <ul class="page-numbers">
                                <?php echo paginate_links(); ?>
                            </ul>
                        </nav>
                    </div>
					
				</div>
			</div> 
			<?php } ?>
		</div> 
</section>
<?php endif; 
get_footer(); 
?>